commit 75e9b66f6ff36d06bf1f8bd4824000f9f26106e0
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    news.md: add information about the modules service changes

commit d70b1c55b67b44b98c23ceed25bc428481f7e00a
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    modules: Add --first-time switch to modprobe commands
    
    On Linux, kernel modules should be loaded once during boot, either in an
    initramfs or by this service.
    
    This does not change anything other than printing out messages if a
    module is loaded more than once.
    
    X-Gentoo-Bug: 659530
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=659530

commit c1e582586d398b4452f568240985247294f645ef
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    supervise-daemon: add health checks
    
    Health checks are a way to monitor a service and make sure it stays
    healthy.
    
    If a service is not healthy, it will be automatically restarted after
    running the unhealthy() function to clean up.

commit 7a75bfb00c52687a236c92bec78b5e7ab4844701
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    news.md: add note about scheduled shutdown

commit aacf841de4983ab33755081a6f69cdf5e3a47007
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    supervise-daemon-guide.md: re-format and add more variables

commit 3f918161aafa61c1c2005709fda0b9bec4c412d8
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    openrc-shutdown: Add scheduled shutdown and the ability to cancel a shutdown
    
    You can now schedule a shutdown for a certain time or a cpecific number
    of minutes into the future.
    
    When a shutdown is running, you can now cancel it with ^c from the
    keyboard or by running "openrc-shutdown -c" from another shell.

commit 710c874e6e3bc57b1561eb8f2108244bf24ed32e
Author: Zac Medico <zmedico@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    supervise-daemon: fix respawn_max off by one
    
    Fix the comparison between respawn_count and respawn_max so that
    respawn_max = 1 will allow for one respawn. Since respawn_count is
    incremented before the comparison, use a 'greater than' comparison
    so that respawn will be triggered when respawn_count is equal to
    respawn_max.
    
    Fixes: https://github.com/OpenRC/openrc/issues/247
    Fixes: https://github.com/OpenRC/openrc/issues/248

commit 07908be0903229a69b9e0f733ed13eeff0b55a44
Author: Austin English <austinenglish@gmail.com>
Commit: Mike Frysinger <vapier@gmail.com>

    misc: style fixups

commit 02af093043a7444381b0d8a0a3e8e97247505f95
Author: Austin English <austinenglish@gmail.com>
Commit: Mike Frysinger <vapier@gmail.com>

    misc: whitespace fixes

commit 67e2d6033dd7ac6db0269ee060ed20484825ff9f
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Complete implementation of forever timeout value in stop schedules

commit eca4357892315ca7340bbfc2b373d7660a34142f
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    supervise-daemon: use nanosleep() instead of sleep()
    
    We will be using sigalrm in this process for health checking, and
    sigalrm cannot be used with sleep() safely.

commit 7ee3e5b2d6dbb9c279011b59ec132d27d04f843e
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    openrc-init: convert sleep() call to nanosleep()
    
    Nanosleep is the safer call to use in case we need to use alarms
    eventually.

commit 7cb8d943236fe651ac54c64f8167f7c4369f649c
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Stop mounting efivarfs read-only
    
    We do not need to do this any longer since all supported linux kernels
    make efivarfs immutable and the tools that manipulate it are aware of
    this feature.
    
    This fixes https://github.com/openrc/openrc/issues/238.

commit 84ed570eaefcbb55b99ba425030bf7d1d1d46137
Author: Zac Medico <zmedico@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    librc: fix EACCES errno false-positive crash
    
    Use errno != EACCES to fix false-positive for non-root users
    with grsecurity kernels.
    
    Fixes: 37e29442721a ("librc: Add check for crashed state")
    This fixes #237

commit 2eea73bfd5ce2f9993d52293fe7d25c0c804d592
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    rc-functions.sh: Remove addon support
    
    This is an old relic from Gentoo baselayout-1.x which should not be used
    any longer.

commit a571a42421b337380b6f5751635c55906bb8b508
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    modules: remove the ability to rename modules on the fly
    
    Kmod doesn't support the -o switch, so if you have been using this your
    module loads have been failing.

commit 79648ac1c6355975abca6acf6076e7022037523f
Author: Holger Hoffstätte <holger@applied-asynchrony.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    rc-status: initialize uptime pointer to prevent memory corruption
    
    This fixes #231.

commit 02af762e83640ec23bf64c5b814f0d3424d90e10
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    version 0.39

commit 01c34c28e6d6d7bfecc0f88bdf1fb15e97ab8823
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Update ChangeLog

commit 56ddda54b5aa01474bf563d5a662075c35152858
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    supervise-daemon.c: clean up memory leaks

commit 3a803b3135837665d51ef4dd7a8b913c78e71ff6
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    librc-daemon.c: fix memory leaks

commit 72df51e17ba0e1a0f94451b4bbfb338288c4625c
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    librc-daemon: convert most snprintf calls to xasprintf

commit b2f5531194e33c229462e9f52fa1d9388463f7b7
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    librc-misc: convert snprintf calls to xasprintf

commit 19bf49a710f27d4774ed4c6372d87d6ba15f189e
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    libeinfo: convert remaining snprintf calls to xasprintf

commit 64354831da2adeba5cb2f91a81fa0f56e1ce4ed9
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    openrc: convert snprintf calls to xasprintf

commit e14edd765fdc4ed43356d2eef35fa99228e5d461
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    supervise-daemon: convert snprintf calls to xasprintf

commit f9d41243d8499c5d7027177d5aa716d5b5859cd6
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    start-stop-daemon: convert snprintf calls to xasprintf

commit be7ad06d4a0efce2a1144b2cf6f0cc361f2a81e4
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    rc-status: convert snprintf calls to xasprintf

commit a6165168953b9c7a62c089ce946476b23b73fb12
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    rc-status: fix gcc 7 warnings

commit 04721ece03b15503aa220f60e7c6159d01ee75e1
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    start-stop-daemon: fix gcc 7 warnings

commit c7e8f1133a42152cc293e6b637985f81bcf8b310
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    checkpath: fix gcc 7 warnings

commit 47e4bfae57402eedd017d6098b432c2c411cd374
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    fix gcc 7 warnings in pipe routines

commit 8a945194afb106428bc700e751078ef9944ee617
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    libeinfo: clean up gcc 7 compiler warnings

commit aa4a004c297ec7a1fb794ad2e53ef3ac8b3f4fd1
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    version 0.38

commit 9ec5d36bdddf5bb0e96b0c561bc5d013a8a2da2a
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Update ChangeLog

commit a097933edab9d7221df1831e098415d604437c98
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    sh/start-stop-daemon.sh: fix processing of the logger arguments

commit a6f5b1bb63070c24145df72040fa7b465948003c
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Update ChangeLog

commit e6d01471fe2a8eb8a15bb906d7c91c11805d1bef
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    start-stop-daemon: add ability to log stdout or stderr to processes

commit d4501a9f06c807f87be04f128e535a74b370fdb4
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    fix a typo

commit ec8abea4605395a2a59b26906ce4677a578e3c60
Author: Mike Gilbert <floppym@gentoo.org>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Add helper to spawn process with stdin connected to a pipe

commit e4ddfa38e0e0318abf442b7aa07e0d8206191dd7
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    user-guide.md: small cleanups

commit 21d30bc6d9caca31d007631717a480a552b89701
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    service-script-guide.md: small cleanups

commit 2a1ff6e49c6603bb81eec3cafe2c587fa734289f
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    version 0.37

commit 6762cb875c9c039b79dcc447b9d0eb65356a7708
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Update ChangeLog

commit 6edf516a1fe0ad4f4e8738f9fdd1bf0bc7718361
Author: Austin English <austinenglish@gmail.com>
Commit: Doug Freed <dwfreed@mtu.edu>

    sh/supervise-daemon.sh: use start_stop_daemon_args if supervise_daemon_args is undefined

commit 7e56a49e23c810673b83e48eb9ca36229bb4016e
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Logger: only log printable characters and newlines
    
    X-Gentoo-Bug: 651412
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=651412

commit fa5aea80c50fb724d2c98a6542307adbafd0e62d
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    openrc-run.sh: move crashed test outside started test
    
    This is handled inside librc, so we don't need the nesting in this
    script.

commit 0f4fa41574a4ebf8117493e5411f8ab522010467
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Add mark_service_crashed binary

commit 5d6dd97bba3559b57fb1c1de35e644c6dbd6baa7
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    rc-misc: add the crashed state

commit 37e29442721af0dc3846e87ef2b85a474af3cf2b
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    librc: Add check for crashed state
    
    In rc_service_state,, call rc_service_daemons_crashed to check for
    a crashed daemon if the service is started.

commit 4e0eace837287845504c9895429dc9f64872d075
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    librc: Add crashed state

commit faa8318b3ba278544413a39d4a5ae4457711793f
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Remove the _rc_can_find_pids function
    
    This test to find if we could see pid 1 was being used inconsistently in
    rc-status and mark_service_crashed to decide whether we could test to
    see if the daemon for the service was crashed, and it was not part of
    the librc library.
    
    I am removing it from the executables because of inconsistent usage. I
    will add it to the library if it is needed there.

commit 08da36149c0b41c64a09369c3eef5e2f5a6fa39c
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    rc-service: add --ifstarted and --ifstopped options

commit 56870d0db18209396f8276bdc05d413fe4dd7a88
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Man: rc-service man page cleanups

commit 4d47ce440c3e8f193cff82a77e6691ee6e7fac33
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    rc-service: add -d/--debug and -D/--nodeps options

commit 958f57d895b6573b39e62097e5e9881f16174715
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    openrc-run: respect the RC_NODEPS environment variable

commit 04886efd85328988657c34440da9ba6aa2841cfd
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Add RC_DEBUG and RC_NODEPS to environment whitelist
    
    These are needed so rc-service can pass debug and nodeps options to
    openrc-run.

commit d980798d6444bbfc508796a233e962bf4dd61275
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    openrc-run: respect the IN_DRYRUN environment variable
    
    This allows rc-service to pass the tryrun option to openrc-run.
    
    This is for #225.

commit 414a9aae6ce066d2a6ad42e7e24d1c12a7b46409
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    rc-misc.c: Add IN_DRYRUN to environment whitelist
    
    This allows rc-service to pass the dryrun option to openrc-run.
    
    This is for #225.

commit a7f475ca04856ef8232364c5b0c3191566b0696c
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    rc-service: add a --dry-run option
    
    This is for #225.

commit 3c53680018c1799d0d804e241a9fa4d3b9423896
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    build: standardize installation modes
    
    Gentoo was changing some of our installation modes from 0444 to 0644.
    There isn't a reason to install things 0444, so we are switching these
    to 0644 so the Gentoo ebuild doesn't need this extra step.

commit f0ad647303daca528cb9b75f9a07d422318635c2
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Revert "savecache: stop saving the dependency tree"
    
    It is safe to save the deptree, but we also need to regenerate it at
    boot time.

commit b35e03b6b1acc841ac33f601dd39c1152523621e
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Revert "Logger: only log printable characters and newlines"
    
    This reverts commit 2b1392af2fe9e5dfc8eda2f19d896efdc41840bf.
    This seems to create issues shutting down, so I need to look into it
    further.

commit 2b1392af2fe9e5dfc8eda2f19d896efdc41840bf
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Logger: only log printable characters and newlines
    
    X-Gentoo-Bug: 651412
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=651412

commit a3d0e293eebcb92564c473e61ca42724844fb279
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Remove localmount from dependencies for linux-only services
    
    This removes localmount from the dependencies of the consolefont,
    keymaps, numlock and procfs services.
    
    These services are Linux only and the default modern linux system has /
    and /usr on the same file system.
    
    This also fixes the following issue.
    
    X-Gentoo-Bug: 651998
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=651998

commit 0200002b8cbd061ac79b6aed4024220cd0386d2c
Author: Andrey Utkin <andrey_utkin@gentoo.org>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    start-stop-daemon: don't fail stopping if pidfile is gone
    
    If pidfile does not exist when we are stopping the daemon, assume it is
    already stopped, and report success.
    
    hostapd is an example of a daemon which removes its pidfile when it is
    exiting. If this daemon terminates prematurely, that is, without s-s-d
    involvement, then openrc fails to restart it, because s-s-d "stop"
    command fails when pidfile is missing.
    
    X-Gentoo-Bug: 646274
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/646274

commit f4e2142089487b7f5c99da949d7bf8d038724df7
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Add _POSIX_C_SOURCE definition to Linux build
    
    We need this to allow builds on uclibc-ng based systems.
    
    X-Gentoo-Bug: 650908
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=650908

commit 49a90f27a848ba02a363fc0c844d6284728bdd73
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    typo fix

commit 2ae60ca0419d60c86904a8e15e71e902549e18d4
Author: Scall <Scall@users.noreply.github.com>
Commit: Doug Freed <dwfreed@mtu.edu>

    rc-update: fix typo

commit 6b475ab26992f1dd8815700828df46abc4b71d27
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d/modules: add code from modules-load service
    
    There is no reason for these to be separate services. I did add a
    provide so that we don't break backward compatibility.

commit b302b0c094c2c99b810aec9c8877adcd1effabac
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    net-online: always start after net
    
    X-Gentoo-Bug: 650600
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=650600

commit 40aa69cf3a99fa080375a702631da4d2311ebf3e
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    agetty.in: allow status to be displayed

commit 5346fbf2c90b33b3abc01588e4727d4402f8db62
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    supervise-daemon: fix off-by-one error

commit 92e6bdee12fa9d87a2535446ceccee261305e87c
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Use _BSD_SOURCE on FreeBSD

commit 71f275b2aa04d9a9323a49d1421796c4d50b1436
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    typo fix

commit 6dc0d0af333592203fabd4746279bb15d2801c0b
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Remove _XOPEN_SOURCE macros from builds

commit 59a9e53378891be7b12ed304ccb609e27da70751
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Add _POSIX_C_SOURCE macro to FreeBSD build

commit 122768d339175c925a1a228792f4725b7c802f46
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    man: document default retry specification for supervise-daemon

commit fa3c60c0d8fd2267be5c1b156530b136a2503088
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    man: document default retry sppecification for start-stop-daemon

commit 61905bfcf560219939c902dbb8fe9bc5088a42cf
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Clean up cgroups v2 code
    
    Remove the IFS manipulation and simplify the loop that processes the
    settings.

commit 3e68013631765e00eddf118bc24e38254e7f6d64
Author: Scall <Scall@users.noreply.github.com>
Commit: Doug Freed <dwfreed@mtu.edu>

    init.d: swap should always be started after root
    
    Otherwise if a swap file is being used, and swap is started before
    root, swapon may fail because of a read-only filesystem.

commit b46123f2e19a5eb8dc02b898e8c20a2ccc211615
Author: Chris Cromer <cromerc@users.noreply.github.com>
Commit: Doug Freed <dwfreed@mtu.edu>

    openrc-run: fix memory size (#213)
    
    Fixes #212

commit 109869641f7b58d07819f6b65d7b085abf75083b
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    fix build on FreeBSD

commit e8a2305de0320dc98bf187bb97f936e2dc4a4554
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    version 0.36

commit f62975a1f8c4d5d4abdf78d8cad5509216138f03
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Update ChangeLog

commit 5bb6f9aa318a6d0507971b74d88c3fd2803bae4b
Author: Jason Zaman <jason@perfinion.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.sh: apply SELinux label for /run early in boot
    
    Some initramfs mount /run which then ends up with the wrong labels.
    Force relabel all of /run right after its mounted to fix.

commit 1ab8541a6ccb9d72c6faeaf2d616fc49f6cdfaf6
Author: Jason Zaman <jason@perfinion.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init-early.sh.Linux.in: apply the selinux label to /dev/console early
    
    /dev/console is relabelled later in the devfs init script, but by then we
    have already missed some of the messages, so fix that label early.

commit 038c03bef315314ddb1e460c67d29b2599b494ad
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    supervise-daemon: make an error message more verbose

commit e51dc29e2f3b2718a62347e8588115e786a9f3c8
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    cgroups: fix indentation

commit c6047f887a362cb8d96624fbd73484ca703acf53
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    cgroups: add rc_cgroup_memory_use_hierarchy setting for cgroups v1

commit 0506d68427e342366d826aae4bfbbc6cc0adecc2
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    fstabinfo: fix an error message

commit c3d666acaf51c771671b0fa54bd8ec0f5d29859e
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    openrc: remove unused #define's.

commit e93b1d76d150c4477015052fc3df9b94647e5b5d
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    openrc: convert another execl() call to execlp()

commit acf1e43f815898c4a4957db352f71f3fb629edf3
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    openrc-init: convert execl calls to execlp

commit f383fd87b121492a04362ca9041f686d981718f1
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    kill_all: change execl call to execlp

commit cfded513cd9b7febe4b7cf39a80411e4303f0655
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    openrc-init: set a default path
    
    The default path provided by the system if one isn't set only includes
    "/bin:/usr/bin". This adds the default path setting from sysvinit.

commit 16ff3cd8df6169f73e3d7cf00758a4703f62cbf0
Author: Christian Brauner <christian.brauner@ubuntu.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    check whether /sys/fs/cgroup is a mountpoint
    
    The current check only tries to detect whether /sys/fs/cgroup exists and
    whether it is writable or not. But when the init system doesn't mount
    cgroups then /sys/fs/cgroup will just be an empty directory. When paired
    with unprivileged containers that mount sysfs this will cause misleading
    errors to be printed since /sys/fs/cgroup will be owned by user
    nobody:nogroup in this case. Independent of this specific problem this
    check will also be misleading when the /sys/fs/cgroup exists and is in
    fact writable by the init system but isn't actually a mountpoint.
    
    Note from William. "grep -qs" doesn't need to redirect output to
    /dev/null since it is completely silent.
    
    This fixes #209.

commit 38032626a6c2f8e869197999f32ac3634667cc86
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    improve cgroup configuration checks
    
    make the base/controller functions return successfully if cgroups v1/v2
    are not configured in the kernel

commit aa7d3a7911b658c550e7ce76cd6d7d46541fc323
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    openrc: force deptree update for sysinit runlevel

commit 98262647a9d2f3c65a7ceb1aaa81095522c1ef06
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    supervise-daemon: zero out the cmdline buffer when it is allocated

commit 5868abe97babcc287794dcb36ad8e77989b6ddcf
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    start-stop-daemon: compiler warning cleanup

commit 71aad16256604e0e9e146221957a9b00cfe67b99
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    openrc-run: clean up a compiler warning

commit e275da84de1589253da5ff6a7c272cf1c82f8567
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    supervise-daemon: remove references to PATH_MAX

commit a6cc7f06cf3807a0e0590697e1f14e6ab9055271
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    rc.c: remove PATH_MAX references

commit c1178c8eebb92c9f3702e981cd4af9ef41f51884
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    rc-selinux.c: remove references to path_max

commit 3c031ca9780c555817fe9ccb8b23ceb231129724
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    rc-plubin.c: remove references to PATH_MAX

commit 8e02406d8fbf92167c30431987d5de8de72cd7df
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    rc-misc.c: remove references to PATH_MAX

commit 8dbdabcc5e0df8ac36722a4ba7bfe30664cc9919
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    start-stop-daemon: clean up string handling

commit 488d8989c518d9256f183899aac02024c679b93e
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    openrc-run: clean up string handling
    
    - remove references to PATH_MAX
    - use xasprintf to create strings

commit 9e14b35da8942bd8fa552363617c3415887f485f
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    rc-update: remove reference to PATH_MAX

commit 7b4879cb72e907414b70553663bd9b6fda8d4408
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    mountinfo: create strings with xasprintf

commit 74cfb455c59298f86849541e724ae346ff205c3d
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    kill_all: create strings with xasprintf

commit 0110487722646ebf9bc2c4e12b4b4a3c358cb10d
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    helpers.h: silence compiler warnings about xasprintf

commit 68b9b0bc2a11d144870d14fcb8ac24e6c9c63354
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    xasprintf: exit if return value of vsnprintf is invalid

commit 4616f8f809ee8566904ca37f2b8bf0409a487475
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    helpers.h: add xasprintf function
    
    This is our own version of asprintf(). This original code was written by
    Mike Frysinger, and I was able to modify it to use our memory helper
    functions.
    
    We need a version of this code because it is not available on glibc at
    least without defining _GNU_SOURCE, and I would rather not do that.
    
    This is the first step in improving string handling in OpenRC for #207.

commit 287d71bd2591ddec73efe356db081020e65cd922
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    helpers.h: style fix

commit c1ffe4d9f2e10b6853464cc298d1922c81ae92f4
Author: Michael Orlitzky <michael@orlitzky.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    man/openrc-run.8: fix mountinfo args.
    
    The "Ar" tag for the mountinfo command contained a typo (leading
    space) that resulted in the tag being output verbatim; that is,
    
      mountinfo ... .Ar mount1 mount2
    
    rather than e.g.
    
      mountinfo ... <mount1> <mount2>
    
    This commit deletes the leading space to fix the output.
    
    This fixes #204.

commit 4c517bdb2b69eac36f004ae41bb9cbb212fe0a51
Author: Michael Orlitzky <michael@orlitzky.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    man/openrc-run.8: add missing "Xo" tags for fstabinfo and mountinfo.
    
    The BUILTINS are all surrounded by Xo...Xc tags, but the opening "Xo"
    was missing from the two commands fstabinfo and mountinfo. This commit
    adds them, and thereby fixes the spacing when viewed by man.
    
    This is for #204.

commit 110582491ff02db061b567636a237460afbc489c
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    service-script-guide.md cleanups
    
    Refer to /var/run in the documentation instead of /run, and make it
    clear at the top of the pidfile section that we use /run under Linux.
    
    This is for #202.

commit 5dd1d39d20c118064d31ed65dc7ae2de75dd7908
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    typo fix

commit 1771bc2a83fe65bfe6ec3e93ea7632609e697a38
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    checkpath: use fchown and fchmod to handle ownership and mode changes
    
    This is related to #195.
    
    This is an attempt to shorten the window for the first two issues
    discussed by using a file descriptor which does not follow symbolic
    links and using the fchmod and fchown calls instead of chown and chmod.
    with.

commit 87c98ebb01873120eecc1757e615b3a4c14a2f1f
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    checkpath: fix lchown error message
    
    X-Gentoo-Bug: 643084
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=643084

commit 4af5a80b0c516773286cc30e743dc90a2d19df23
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    _rc_deptree_load - return NULL if the stat() call is not successful
    
    X-Gentoo-Bug: 643084
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=643084

commit fee2ffe559bc39beec16585daf557b902a53137b
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Reformat and fix titles in documentation

commit 8878f8916b7682a333d1e40af991cd7354192be1
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Rename guide.md to user-guide.md to better describe its purpose

commit 14e3359a9e4174da3e422957d9de56907f025875
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    move developer documentation from guide.md to service-script-guide.md

commit 918d955fd2de1f594b83508f5ddd5271534e3591
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    checkpath: use lchown instead of chown
    
    Checkpath should never follow symbolic links when changing ownership of a file.
    
    This is for https://github.com/openrc/openrc/issues/195.

commit 92cfa0e543d380ab290d06e98e2fef1b283349fe
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    service-script-guide.md: formatting changes
    
    Add a title, adjust the headings and update the example that referred to
    "net.lo" to refer to "loopback".

commit c2bd33e4838eb56bebe2707f6ca6bd05e9df5b24
Author: Michael Orlitzky <michael@orlitzky.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    service-script-guide.md: new guide for service script authors.
    
    This fixes #162.

commit f42ec82f21f3760b829507344ad0ae761e1d59aa
Author: 3PO <r2d2@freakmail.de>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    net-online: only process symbolic links in /sys/class/net
    
    The /sys/class/net directory contains files which are not symlinks if
    the system has bonded devices [1].  We should ignore these files.
    
    This fixes #196.
    
    [1] https://elkano.org/blog/manage-interface-bondings-sysfs-interface/

commit 7affff568a0aa83d732757c4699d4b94b7e3a9aa
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d.examples: pid files always go in /var
    
    This removes the @VARBASE@ substitution since it is always translated to
    /var.

commit 4f750933fd8ef944be58bfeef071a8e35fc0c606
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    procfs: remove the @sysconfdir@ reference

commit 50b69d564a8f89b8137bb6d9d53aac1e44f6c23c
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    hostname: replace @SYSCONFDIR@ references with /etc
    
    I do not know of any situation where /etc/hostname is at any other
    location. Also, this does not run on prefix.

commit eb18f4f3483b99705f944c7274b4a6b451716df7
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    hwclock: use shell variables for configuration file path
    
    This removes a reference to @SYSCONFDIR@.

commit d5f3fe52c87928095bd2659823b985d231f0718c
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    sysctl: hard code paths for sysctl files on *bsd
    
    For *BSD,the sysctl*.conf files are always in /etc.

commit bb1bc6eeb73b3483a1ebdfc142a11240b58588cf
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    local: misc cleanups
    
    Remove references to @SYSCONFDIR@ since these can be calculated at
    runtime.
    Also style fixes.

commit 53844fd0dcd9741b5f19dee7c00787be7e904c3c
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    devfs: cleanup
    
    clean up local definitions. Also remove @SYSCONFDIR@ substitutions since
    they can be calculated at runtime.

commit 14938c29cefe869872b987f8e606da72024fa8bb
Author: bell07 <web.alexander@web.de>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    net-online: wait for ping_test_host
    
    The script should wait till the ping host is available or timeout reached
    Closes : #179
    Closes : #191

commit 8bf501aaf2cb60b8ddf1b2fa2d1ba0ef970fb790
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    network: use 'command -v ip' to test for the ip executable
    
    This is an improved test because it doesn't require the ip executable to be
    in a specific path.

commit 9d05f68b51d7b31634cde30a482ec0e3da3b1c21
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Do not use file tests in net-online
    
    https://unix.stackexchange.com/questions/252002/help-testing-special-file-in-sys-class-net
    
    This is for #189

commit ee2524cd1d0305e207f7dfac52742a1d5e77ea4a
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    net-online: clean up quoting and test for existence
    
    This is for #178.

commit 5c81661d4758dea039860ae2481476a70e78ac47
Author: Marcel Greter <marcel.greter@ocbnet.ch>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Gracefully handle unreadable /sys/class/net/dev/ nodes
    
    Fixes https://bugs.gentoo.org/629228
    Fixes #189
    Fixes #185
    Fixes #178

commit fb96c9c127dcfa932460b0e8a977ba5f7d26a418
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Make bash-completion and zsh-completion optional

commit 6c456f9383ab0000527b4363bc82fc17850aba18
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Add zsh-completion support

commit d220fc272337b216bff6ac781a7b6be4e6f3caee
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    add bash completion support
    
    This fixes #188.

commit a2447dfb420cbd97a65cc085404c031d42cb3dfb
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    rc-service: add --ifcrashed option
    
    This works like the other --if options. If the service is crashed, run
    the command.
    
    This fixes #154.

commit cee3919908c2d715fd75a796873e3308209a4c2e
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Clean up the calls to group_add_service
    
    This function should only be called once and it does not take any
    arguments.
    
    X-Gentoo-Bug: 639166
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=639166

commit 0feadd2922484ec181c2ab86a5f7f8d6d37c5c77
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    man/openrc-run.8: update documentation for command_user

commit a7c99506d9de81b9a2a7547bd11715073de1ce95
Author: Will Miles <wmiles@sgl.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Fix repeated dependency cache rebuild if clock skewed
    
    rc_deptree_update_needed would return early as soon as it found
    any file newer than the existing dependency cache.  Unfortunately,
    the first file found may not be the newest one there; so the
    clock skew workaround in rc-misc:_rc_deptree_load would be given
    a timestamp that was still too old.
    
    This fix forces a full scan of all relevant files, so as to
    ensure that we return a timestamp that will allow the clock skew
    fix to operate.   The runtime cost is no worse than the case where
    the cache is up to date (ie. we must check every possible file).
    
    This fixes #161.

commit f0129307759f1a5eb34b72589e8d48790c92b2db
Author: Julien Reichardt <mi@jrei.ch>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    man/openrc-run.8: remove white space
    
    This is for #184.

commit ddbdb696582e9fd61995f15d6a3a53055a151e41
Author: Julien Reichardt <mi@jrei.ch>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    add more variables for start-stop-daemon and supervise-daemon options
    
    Add the following variables to expose more arguments that can be passed
    to start-stop-daemon or supervise-daemon:
    
    - directory will be passed to --chdir
    - error_log will be passed to --stderr
    - output_log will be passed to --stdout
    - umask will be passed to umask
    
    This is for #184.

commit c84ebb94d19ca856fe064e15d2068d5671e360c9
Author: Doug Freed <dwfreed@mtu.edu>
Commit: GitHub <noreply@github.com>

    start-stop-daemon: properly handle missing pidfile
    
    X-Gentoo-Bug: 639218
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/639218

commit 3de6395ae3b8780ab501f3cf8688e1cb2a9f0243
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    split cgroups mounting out of sysfs
    
    This is neceessary to allow cgroups to be mounted in an lxc/lxd
    container.
    
    Fixes https://github.com/openrc/openrc/issues/187

commit 6bb7ebec483a96e258c64ea3fea18358d7893fee
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    fix FreeBSD build
    
    This is for #186.

commit a192caf88f527e09508e32baa623ef85549612ae
Author: Doug Freed <dwfreed@mtu.edu>
Commit: Doug Freed <dwfreed@mtu.edu>

    rc-schedules: if given nothing to look for, stop
    
    This avoids trying to kill everything.
    
    X-Gentoo-Bug: 631958
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=631958

commit e805c74d31113c75058d860588e83bca120decf6
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    s6 supervisor fixes
    
    Add the ability to force-kill a service if it does not go down
    successfully. Also, adjust the default wait time for an s6 service to go
    down to 60 seconds.

commit 318e87348168e37d78f433d3ff06288ad8ccf15c
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    strongly encourage Linux users to not make  /etc/mtab a flat file
    
    The OpenRC team does not currently know of any modern linux tools that
    require /etc/mtab to be a flat file, so this puts users on notice that
    the mtab service will be removed in the future.

commit 0d15898f58cc254d79777c791d4798a9b2542cf2
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    adjust mtab and localmount dependencies
    
    localmount had mtab in its "use" dependencies; however, it makes more
    sense to add "before localmount" to the mtab service and remove
    "use mtab" from the localmount service.

commit 971e82784cd1ad8f9a286ee792e6417359972976
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    rc_find_pids: namespace fix
    
    Ignore namespaces if there are errors reading either the pid namespace
    for the current process or the process we aare testing.
    
    This fixes https://github.com/openrc/openrc/issues/180.

commit 90d9ea656ff7c6b5d618df4e4261ebfa4033f1a8
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    start-stop-daemon: do not use do_stop to verify whether a daemon is running
    
    X-Gentoo-Bug: 636574
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=636574

commit a3d1c8a0e7d5586be13e2cd9b5029fd729bc1594
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    fix issue with --reexec call

commit 913b2ca53771742385d5c69164aefcaab634f012
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    supervise-daemon: use RC_SVCNAME as the first argument to the daemon
    
    This makes ps show which service the supervisor is monitoring.

commit 3fe99c8b8264269dd935d52a1a52581cc0f14e8e
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    supervise-daemon: fix logging for reexec and the child command line

commit 27b8183de2f2bfd7411c14c1ec28543ca8a36602
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    log as supervise-daemon not the service

commit f32d8e1bfe16caf233d1180921f4aeed77d7476d
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    supervise-daemon: clarify a log message

commit d019f34a83b0ad5e890f685b1263b281ab54ce54
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    supervise-daemon: log the command line we run to spawn the child process

commit bb9c481f02cb1843e00bf32e98caf18b6b56bb4d
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    supervise-daemon: log with the service name instead of "supervise-daemon"

commit 82da844b42ff83b2ebf944198e56ac2d81851897
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    implement "unsupervised" status
    
    The unsupervised status is to be used when a supervisor of a supervised
    service dies but leaves the service daemon itself running.

commit 667a09983ca5311824aa88c42d39a495c540fc4c
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    supervise-daemon: remove child_pid from saved options during shutdown
    
    This allows us to detect when the supervisor dies unexpectedly because
    in that case child_pid will still exist.

commit cf429ee359356d736c818e8b35db8fca887e7332
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    rc_service_value_set: remove the option if NULL is the value
    
    This allows the equivalent of "unsetting" a value for a service.

commit 6f3e2e2d7de61ab28cf03937ccf2e5f80b62190a
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    supervise-daemon.sh: fix status function with no namespaces

commit 35b88fb42bb8e0a56cdc1947342f1b89c98658bc
Author: Patrick McLean <chutzpah@gentoo.org>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    cgroups_cleanup: clean up shutdown signaling
    
    - do not sleep for the full 90 seconds if processes are dead
    - re-arrange the order of signals we attempt to send to the processes

commit a428c325a902bba55a849a07a59c0c1567404db2
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    add "unsupervised" status and return code 64 to supervise-daemon status function
    
    This is to be used if the service is being supervised and the
    supervisor is somehow killed.
    
    Currently, this is very linux specific, but I will expand to other
    platforms, patches are welcome.

commit 3219ecd6085231d7cc1268323a5be6a69f8c9143
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    supervise-daemon: fix build issue for >=glibc-2.26
    
    X-Gentoo-Bug: 635334
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=635334

commit 0d8dc4f798cc0d707fc64e8bffcba4fbceb32935
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    version 0.35

commit f3c70bf5b5aa18e8dc94d4949f05568e0741c5cb
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Update ChangeLog

commit f5acc66db7d1a0bfad6a40eefc0240b80f52df94
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    rc_find_pids: ignore pids that are not in our pid namespace
    
    X-Gentoo-Bug: 634634
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=634634

commit fdce4769f2e0f4175163ffa181c7b3b2192f7b22
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    supervise-daemon: multiple fixes
    
    - Harden against dying by handling all signals that would terminate the
    program and adding --reexec support
    - factor the supervisor into its own function
    - fix test for whether we are already running
